Check the status of reports
Check the status of reports. If the notification is not get from HIP then this API will help to check the status on HIU side.
Header
Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]
X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of user[ Example: Bearer ]
REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]
TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]
X-CM-ID consent manager ID[ Example: sbx ]
X-HIU-ID [ EXample: HIU_ID]
Request Body
queryStatus which contains the orderNumber and requestId[ Example: { orderNumber: 39413413 abhaAddress: openOrderRequestId: 059fcb69-8ad8-***-a049-62db16c7b5a0 } ] The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds. Suffix of the consent manager to which the request was intended JWT Authentication token which was issued by ABDM after successful validation of username and password Identifier of the health information user to which the request was intended Bad Request The error code and message, if any occurred. ABDM-2500 - no mapping found to the resp.requestId cache. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Too Many Requests The error code and message, if any occurred. ABDM-2429 - Too Many Requests found. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-AUTH-TOKENstringRequiredX-HIU-IDstringRequiredResponses
400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring429errorobjecterror.codestringRequirederror.messagestringRequired500errorobjecterror.codestringRequirederror.messagestringRequired503codestringRequiredmessagestringRequired
Callbacks
- After this call, ABDM posts This is callback for the on-order-status API. This API needs to implement by HIU for receive the payment status. to
/v3/patient/scan-pay/on-order-status. Open the callback.